Page MenuHomePhabricator

When translations are changed on control wiki the change should be updated on jump wikis
Closed, ResolvedPublic

Description

Right now when a translation (or root message) is changed through the translation interface on the 'control' wiki the change is made locally and the log is updated but the messages stay the same on the remote 'jump' wikis. In the past we had to run a cli script to update all of the configs on those jump wikis with new messages but we probably want to do that automatically when translations are updated on the control.


Version: unspecified
Severity: normal

Details

Reference
bz72576

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:54 AM
bzimport set Reference to bz72576.
bzimport added a subscriber: Unknown Object (MLST).

I note this is a preexisting issue in SecurePoll and is therefore not really in scope.

I had a look at this to see if it was easy enough to just do quickly, and it turns out it was since jump wikis only care about the actual election messages and not questions or options.

So as long as this approach passes code review, you're in luck!

gerritadmin wrote:

Change 173052 had a related patch set uploaded by Anomie:
Edit translations for all jump wikis on central wiki

https://gerrit.wikimedia.org/r/173052

Anomie claimed this task.Nov 25 2014, 6:28 PM

Change 173052 had a related patch set uploaded (by Anomie):
Edit translations for all jump wikis on central wiki

https://gerrit.wikimedia.org/r/173052

Patch-For-Review

Nemo_bis added a subscriber: Nemo_bis.EditedDec 9 2014, 4:55 PM

the translation interface on the 'control' wiki

What's this?

Oh, I see, ancient stuff predating the Translate extension.

Change 173052 merged by jenkins-bot:
Edit translations for all jump wikis on central wiki

https://gerrit.wikimedia.org/r/173052

Nemo_bis removed a subscriber: Nemo_bis.Dec 12 2014, 6:44 AM
Anomie closed this task as Resolved.Dec 12 2014, 3:52 PM
Anomie moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Dec 15 2014, 10:26 PM